#!/bin/csh
# Protocol 1  H-sp, N-SP
# R1-processing
# 'nmrproc1.com'
#
# Basic 2D Phase-Sensitive Processing:
#   Cosine-Bells are used in both dimensions.
#   Use of "ZF -auto" doubles size, then rounds to power of 2.
#   Use of "FT -auto" chooses correct Transform mode.
#   Output files:
# 'result_for_nmrproc2'  -  temporary file for final phase correction
#  				(no need to rerun all processing scheme)
# 'result_for_nmrDraw.ft2'   -  file for phase correction determination
#				in nmrDraw
# -> Insert phase correction in 'ProcessAll_interleaved.ini' for proton dimension correction

nmrPipe -in for_nmrPipe \
| nmrPipe  -fn LP -pred 1 -before                       \
| nmrPipe  -fn SOL                                    \
| nmrPipe -fn EM  -lb 5.0 -c 0.5 -verb                              \
#| nmrPipe  -fn SP -off 0.5 -end 1 -pow 1  -c 0.5   \
| nmrPipe  -fn ZF -auto                               \
| nmrPipe  -fn FT -auto                               \
| nmrPipe  -fn TP -hyper                              \
| nmrPipe -fn EM  -lb 2.0 -c 0.5                               \
#| nmrPipe  -fn SP -off 0.5 -end 1 -pow 1  -c 0.5   \
| nmrPipe  -fn ZF -zf 3                               \
| nmrPipe  -fn FT -auto                               \
| nmrPipe  -fn PS -p0 -180 -p1 0 -verb           \
| nmrPipe  -fn TP -hyper                              \
| nmrPipe  -ov -out result_for_nmrproc2           



















