#!/bin/csh
# Second part of processing: phase shifting. Called from  "ProcessAll.py"
#
# 'nmrproc2.com input_file Xp0 Xp1 Yp0 Yp0 output_file'
#
# 	where 	input_file - hypercomplex fourier-transformed data
#		Xp0, Xp1 - the phases in direct dimension
#		Yp0, Yp1 - the phases in indirect dimension
#		
#
# Second part of nmrproc - for adjustment of proton dimension phase


nmrPipe -in $1    			\
| nmrPipe  -fn EXT -x1 5.8ppm -xn 13ppm -sw -verb   \
| nmrPipe  -fn PS -p0 $2 -p1 $3 -di -verb      	\
#| nmrPipe -fn BASE -nw 2 -nl 0% 1% 2% 3% 4% 5% 95% 96% 97% 98% 99% 100%\
| nmrPipe -fn BASE -nw 2 -nl 0% 1% 2%  98% 99% 100%\
| nmrPipe  -fn TP		                      	\
| nmrPipe  -fn PS -p0 $4 -p1 $5 -verb           \
#| nmrPipe -fn BASE -nw 2 -nl 0% 5% 95% 100%                    \
| nmrPipe  -ov -out $6.ft2
pipe2ucsf $6.ft2 $6.sp
echo "Conversion to Sparky format done"
